# Generated by Django 4.2.1 on 2023-06-07 12:08

from django.db import migrations


def up(apps, schema_editor):
    Position = apps.get_model("seawatch_registration", "Position")
    for key, new_name in [
        ("master", "Master (Sea-Watch 5)"),
        ("chief-eng", "Chief Engineer (Sea-Watch 5)"),
        ("2nd-3rd-eng", "2nd/3rd Engineer (Sea-Watch 5)"),
        ("ab-seaman", "Deck Rating (Sea-Watch 5)"),
    ]:
        if (
            Position.objects.filter(key=key).update(name=new_name, group="Sea-Watch 5")
            != 1
        ):
            raise AssertionError(f"Expected position with key {key} to exist")

    for key, name in [
        ("skipper-aurora", "Skipper (Aurora)"),
        ("mechanic-aurora", "Mechanic (Aurora)"),
        ("deck-aurora", "Deck/Driver (Aurora)"),
    ]:
        Position.objects.create(
            key=key, name=name, open_for_applications=True, group="Aurora"
        )


class Migration(migrations.Migration):
    dependencies = [
        ("seawatch_registration", "0038_alter_position_group"),
    ]

    operations = [migrations.RunPython(up)]
